This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 198899 - Review Request: exim
Review Request: exim
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
:
Depends On: 199159
Blocks: 188273 197178
  Show dependency treegraph
 
Reported: 2006-07-14 10:33 EDT by David Woodhouse
Modified: 2013-01-09 22:59 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 13:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-07-14 10:33:05 EDT
Spec URL: http://david.woodhou.se/exim.spec
SRPM URL: http://david.woodhou.se/exim-4.62-3.el5.src.rpm
Description: The Exim MTA.

Existing RHEL4 package, now in Extras, needs to be in RHEL5.
Comment 1 Jesse Keating 2006-07-14 11:03:43 EDT
First pass just looking at the spec:

NEEDSWORK:
- buildroot is wrong; 
- PreReq should be split into appropriate Requires(post), Requires(postun),
Requires(preun), or just Requires; 
- License: Free in package mon? No license file included either for this package.;
- nonversioned requires on exim in the sa package.  Could lead to exim moving
beyond what the sa plugin can handle; 
- in post do we really want to recall alternatives each and every time exim is
updated?; 
- exim init script marked as a configure file.

I haven't ran rpmlint on the srpm nor the build package.  Any rpmlint error or
warning should either be fixed or have a reasonable reason to ignore.
Comment 2 David Woodhouse 2006-07-14 14:04:41 EDT
(In reply to comment #1)
> First pass just looking at the spec:
> 
> NEEDSWORK:
> - buildroot is wrong; 
> - PreReq should be split into appropriate Requires(post), Requires(postun),
> Requires(preun), or just Requires; 

Fixed.

> - License: Free in package mon? No license file included either for this package.;

Don't see why that isn't listed as GPL. It's part of the main package. Fixed.

> - nonversioned requires on exim in the sa package.  Could lead to exim moving
> beyond what the sa plugin can handle; 

Fixed.
> - in post do we really want to recall alternatives each and every time exim is
> updated?; 

Yes, I believe that was done on purpose. It's to ensure that we get a _current_
set of symlinks, when we add or remove 'alternatives' targets.
 
> - exim init script marked as a configure file.

Fixed.
 
> I haven't ran rpmlint on the srpm nor the build package.  Any rpmlint error or
> warning should either be fixed or have a reasonable reason to ignore.

E: exim hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib
E: exim hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib
E: exim hardcoded-library-path in /usr/lib/sendmail.exim
E: exim hardcoded-library-path in /usr/lib/sendmail.exim

That's _PATH_SENDMAIL and I believe it's supposed to be hardcoded like that.

W: exim mixed-use-of-spaces-and-tabs

Can't find any spaces where I should convert them to tabs. False positive?
Comment 3 Jesse Keating 2006-07-17 08:58:17 EDT
David, is there an updated srpm with these fixes?
Comment 4 David Woodhouse 2006-07-17 09:11:23 EDT
There wasn't -- I'd only committed it to CVS and updated
http://david.woodhou.se/exim.spec

There is now, at http://david.woodhou.se/exim-4.62-4.el5.src.rpm
Comment 5 Jesse Keating 2006-07-17 09:42:40 EDT
*** Bug 197178 has been marked as a duplicate of this bug. ***
Comment 6 Jesse Keating 2006-07-17 10:04:50 EDT
Spec changes look good, however rpmlint is pretty noisy:


E: exim file-in-usr-marked-as-conffile /usr/share/ssl/certs/exim.pem
E: exim file-in-usr-marked-as-conffile /usr/share/ssl/private/exim.pem

These are probably ignorable.  I'm not sure how to may rpmlint happy about that.

E: exim-mon non-standard-executable-perm /usr/sbin/eximon 0775
E: exim-mon non-standard-executable-perm /usr/sbin/eximon.bin 0775

Any reason why these aren't 0755 ?

E: exim non-readable /usr/share/ssl/certs/exim.pem 0600
E: exim non-readable /usr/share/ssl/private/exim.pem 0600

Probably ignorable.

E: exim non-standard-dir-perm /var/log/exim 0750
E: exim non-standard-dir-perm /var/spool/exim 0750
E: exim non-standard-dir-perm /var/spool/exim/db 0750
E: exim non-standard-dir-perm /var/spool/exim/input 0750
E: exim non-standard-dir-perm /var/spool/exim/msglog 0750

Any reason why these aren't 0755?

E: exim non-standard-executable-perm /usr/sbin/convert4r4 0775
E: exim non-standard-executable-perm /usr/sbin/exicyclog 0775
E: exim non-standard-executable-perm /usr/sbin/exigrep 0775

0755 ?

E: exim non-standard-executable-perm /usr/sbin/exim 04755

Ok, since we want that suid exim I'm assuming?

E: exim non-standard-executable-perm /usr/sbin/exim_checkaccess 0775
E: exim non-standard-executable-perm /usr/sbin/exim_dbmbuild 0775
E: exim non-standard-executable-perm /usr/sbin/exim_dumpdb 0775
E: exim non-standard-executable-perm /usr/sbin/exim_fixdb 0775
E: exim non-standard-executable-perm /usr/sbin/exim_lock 0775
E: exim non-standard-executable-perm /usr/sbin/eximstats 0775
E: exim non-standard-executable-perm /usr/sbin/exim_tidydb 0775
E: exim non-standard-executable-perm /usr/sbin/exinext 0775
E: exim non-standard-executable-perm /usr/sbin/exipick 0775
E: exim non-standard-executable-perm /usr/sbin/exiqgrep 0775
E: exim non-standard-executable-perm /usr/sbin/exiqsumm 0775
E: exim non-standard-executable-perm /usr/sbin/exiwhat 0775

0755 ?

E: exim non-standard-gid /var/log/exim exim
E: exim non-standard-gid /var/spool/exim/db exim
E: exim non-standard-gid /var/spool/exim exim
E: exim non-standard-gid /var/spool/exim/input exim
E: exim non-standard-gid /var/spool/exim/msglog exim
E: exim non-standard-uid /var/log/exim exim
E: exim non-standard-uid /var/spool/exim/db exim
E: exim non-standard-uid /var/spool/exim exim
E: exim non-standard-uid /var/spool/exim/input exim
E: exim non-standard-uid /var/spool/exim/msglog exim

Ignorable.

E: exim only-non-binary-in-usr-lib

Ignore.

E: exim setuid-binary /usr/sbin/exim root 04755

Ignore.

E: exim use-old-pam-stack /etc/pam.d/exim
E: exim use-old-pam-stack /etc/pam.d/exim

Update pam file to use include instead of pam_stack.

W: exim conffile-without-noreplace-flag /etc/logrotate.d/exim
W: exim conffile-without-noreplace-flag /etc/pam.d/exim
W: exim conffile-without-noreplace-flag /etc/sysconfig/exim

Are we OK to replace these on a user's system?  Probably not...

W: exim dangerous-command-in-%post chown

Ignore.

W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/acl.c ../src/acl.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/auth-spa.c
../../src/auths/auth-spa.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/auth-spa.h
../../src/auths/auth-spa.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/b64decode.c
../../src/auths/b64decode.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/b64encode.c
../../src/auths/b64encode.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/call_pam.c
../../src/auths/call_pam.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/call_pwcheck.c
../../src/auths/call_pwcheck.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/cram_md5.c
../../src/auths/cram_md5.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/cram_md5.h
../../src/auths/cram_md5.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/cyrus_sasl.c
../../src/auths/cyrus_sasl.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/cyrus_sasl.h
../../src/auths/cyrus_sasl.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/get_data.c
../../src/auths/get_data.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/get_no64_data.c
../../src/auths/get_no64_data.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/md5.c ../../src/auths/md5.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/plaintext.c
../../src/auths/plaintext.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/plaintext.h
../../src/auths/plaintext.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/pwcheck.c
../../src/auths/pwcheck.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/sha1.c ../../src/auths/sha1.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/spa.c ../../src/auths/spa.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/spa.h ../../src/auths/spa.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/xtextdecode.c
../../src/auths/xtextdecode.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/auths/xtextencode.c
../../src/auths/xtextencode.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/child.c ../src/child.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/crypt16.c ../src/crypt16.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/daemon.c ../src/daemon.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/dbfn.c ../src/dbfn.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/dbstuff.h ../src/dbstuff.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/debug.c ../src/debug.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/deliver.c ../src/deliver.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/demime.c ../src/demime.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/demime.h ../src/demime.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/directory.c ../src/directory.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/dns.c ../src/dns.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/drtables.c ../src/drtables.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/enq.c ../src/enq.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/exim.c ../src/exim.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/exim_dbmbuild.c ../src/exim_dbmbuild.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/exim_dbutil.c ../src/exim_dbutil.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/exim.h ../src/exim.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/exim_lock.c ../src/exim_lock.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/expand.c ../src/expand.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/filter.c ../src/filter.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/filtertest.c ../src/filtertest.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/functions.h ../src/functions.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/globals.c ../src/globals.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/header.c ../src/header.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/host.c ../src/host.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/ip.c ../src/ip.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/local_scan.h ../src/local_scan.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/log.c ../src/log.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/cdb.c ../../src/lookups/cdb.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/dbmdb.c
../../src/lookups/dbmdb.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/dnsdb.c
../../src/lookups/dnsdb.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/dsearch.c
../../src/lookups/dsearch.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/ldap.c ../../src/lookups/ldap.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/lf_check_file.c
../../src/lookups/lf_check_file.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/lf_quote.c
../../src/lookups/lf_quote.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/lsearch.c
../../src/lookups/lsearch.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/mysql.c
../../src/lookups/mysql.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/nis.c ../../src/lookups/nis.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/nisplus.c
../../src/lookups/nisplus.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/passwd.c
../../src/lookups/passwd.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/pgsql.c
../../src/lookups/pgsql.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lookups/sqlite.c
../../src/lookups/sqlite.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/lss.c ../src/lss.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/malware.c ../src/malware.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/match.c ../src/match.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/mime.c ../src/mime.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/mime.h ../src/mime.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/moan.c ../src/moan.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/os.h ../OS/os.h-Linux
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/parse.c ../src/parse.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/perl.c ../src/perl.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/queue.c ../src/queue.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/rda.c ../src/rda.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/readconf.c ../src/readconf.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/receive.c ../src/receive.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/regex.c ../src/regex.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/retry.c ../src/retry.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/rewrite.c ../src/rewrite.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/rfc2047.c ../src/rfc2047.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/route.c ../src/route.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/accept.c
../../src/routers/accept.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/accept.h
../../src/routers/accept.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/dnslookup.c
../../src/routers/dnslookup.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/dnslookup.h
../../src/routers/dnslookup.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/ipliteral.c
../../src/routers/ipliteral.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/ipliteral.h
../../src/routers/ipliteral.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/manualroute.c
../../src/routers/manualroute.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/manualroute.h
../../src/routers/manualroute.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/queryprogram.c
../../src/routers/queryprogram.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/queryprogram.h
../../src/routers/queryprogram.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/redirect.c
../../src/routers/redirect.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/redirect.h
../../src/routers/redirect.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_change_domain.c
../../src/routers/rf_change_domain.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_expand_data.c
../../src/routers/rf_expand_data.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_get_errors_address.c
../../src/routers/rf_get_errors_address.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_get_munge_headers.c
../../src/routers/rf_get_munge_headers.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_get_transport.c
../../src/routers/rf_get_transport.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_get_ugid.c
../../src/routers/rf_get_ugid.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_lookup_hostlist.c
../../src/routers/rf_lookup_hostlist.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_queue_add.c
../../src/routers/rf_queue_add.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_self_action.c
../../src/routers/rf_self_action.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/routers/rf_set_ugid.c
../../src/routers/rf_set_ugid.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/search.c ../src/search.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/sieve.c ../src/sieve.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/smtp_in.c ../src/smtp_in.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/smtp_out.c ../src/smtp_out.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/spam.c ../src/spam.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/spam.h ../src/spam.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/spool_in.c ../src/spool_in.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/spool_mbox.c ../src/spool_mbox.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/spool_out.c ../src/spool_out.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/store.c ../src/store.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/store.h ../src/store.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/string.c ../src/string.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/structs.h ../src/structs.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/tls.c ../src/tls.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/tls-openssl.c ../src/tls-openssl.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/tod.c ../src/tod.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transport.c ../src/transport.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/appendfile.c
../../src/transports/appendfile.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/appendfile.h
../../src/transports/appendfile.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/autoreply.c
../../src/transports/autoreply.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/autoreply.h
../../src/transports/autoreply.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/lmtp.c
../../src/transports/lmtp.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/lmtp.h
../../src/transports/lmtp.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/pipe.c
../../src/transports/pipe.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/pipe.h
../../src/transports/pipe.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/smtp.c
../../src/transports/smtp.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/smtp.h
../../src/transports/smtp.h
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/transports/tf_maildir.c
../../src/transports/tf_maildir.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/tree.c ../src/tree.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/verify.c ../src/verify.c
W: exim-debuginfo dangling-relative-symlink
/usr/src/debug/exim-4.62/build-Linux-x86_64/version.c ../src/version.c

I'm not quite sure how to fix dangling symlinks...

W: exim incoherent-version-in-changelog 4.62-4 4.62-4.el5

Ignore.

W: exim-mon no-documentation
W: exim no-reload-entry /etc/rc.d/init.d/exim
W: exim service-default-enabled /etc/rc.d/init.d/exim

These are up to you if you want to address them.
Comment 7 David Woodhouse 2006-07-17 10:58:34 EDT
Hm, your rpmlint is more pedantic than mine -- I'm using the one from FC5 Extras.

I'll look at those ASAP (at Kernel Summit + OLS this week).
Comment 8 Thomas Woerner 2006-07-17 13:41:44 EDT
0750 is the SPOOL_DIRECTORY_MODE and LOG_DIRECTORY_MODE for exim, so 0750 for
/var/spool/exim and /var/log/exim is ok. exim would generate them with 0750 if
they are missing. This is more secure than 0755.

Using certs patch /etc/pki/tls/ instead of /usr/share/ssl/.

Fixed binary permissions...

I do not think that it is possible to fix the dangling-relative-symlink for the
debuginfo package in the build process.

Here are the new files:
http://people.redhat.com/twoerner/exim/exim.spec
http://people.redhat.com/twoerner/exim/exim-4.62-5.el5.src.rpm
Comment 9 Jesse Keating 2006-07-17 17:48:43 EDT
Hrm, these started showing up:

E: exim executable-marked-as-config-file /etc/pki/tls/certs/exim.pem
E: exim executable-marked-as-config-file /etc/pki/tls/private/exim.pem

Whats going on there?

Comment 10 Thomas Woerner 2006-07-18 08:24:14 EDT
I am sorry, but /etc/pki/tls/private/exim.pem and /etc/pki/tls/certs/exim.pem
are no binaries:

# file /etc/pki/tls/private/exim.pem  /etc/pki/tls/certs/exim.pem 
/etc/pki/tls/private/exim.pem: ASCII text
/etc/pki/tls/certs/exim.pem:   ASCII text

These are pem files!
Comment 11 Jesse Keating 2006-07-18 09:08:53 EDT
They must have got marked as executable.
Comment 12 Thomas Woerner 2006-07-18 09:21:53 EDT
Ok, there are new files with the same NEVRA:

http://people.redhat.com/twoerner/exim/exim.spec
http://people.redhat.com/twoerner/exim/exim-4.62-5.el5.src.rpm
Comment 13 Jesse Keating 2006-07-18 13:47:28 EDT
W: exim conffile-without-noreplace-flag /etc/logrotate.d/exim
W: exim conffile-without-noreplace-flag /etc/pam.d/exim
W: exim conffile-without-noreplace-flag /etc/sysconfig/exim

These are the last three warnings.  If we allow the user to write to these, we
probably don't want the next updated rpm to smash the user settings.

This isn't a blocker, but a suggestion.  Everything else seems OK.  Approving. 
Comment 14 Tim Powers 2006-07-18 14:13:13 EDT
Please import this into dist CVS and let me know when it is finished. I will then create the RHEL-5 branch, 
add exim to comps, and set up brew so that exim can build into dist-5E.
Comment 15 Thomas Woerner 2006-07-19 05:45:32 EDT
Checked into devel with the latest suggestions.
Comment 16 Tim Powers 2006-07-19 13:48:12 EDT
Looks like the RHEL-5 branch already exists, so you'll have to import the new spec etc into the RHEL-5 
branch as well before building.

- I've added exim to comps
- configured brew

Please build your package after you have updated the RHEL-5 branch with the latest accepted spec etc.

I am closing this bug.
Comment 17 Jay Turner 2006-09-22 01:31:48 EDT
[jturner@porkchop 4.91]$ pwd
/mnt/redhat/rel-eng/RHEL5-Server-20060919.1/4.91
[jturner@porkchop 4.91]$ find . -name "exim*" -print
./i386/os/Server/exim-4.63-3.el5.i386.rpm
./i386/os/Server/exim-doc-4.63-2.el5.noarch.rpm
./i386/os/Server/exim-mon-4.63-3.el5.i386.rpm
./i386/os/Server/exim-sa-4.63-3.el5.i386.rpm
./i386/debug/exim-debuginfo-4.63-3.el5.i386.rpm
./ppc/os/Server/exim-4.63-3.el5.ppc.rpm
./ppc/os/Server/exim-doc-4.63-2.el5.noarch.rpm
./ppc/os/Server/exim-mon-4.63-3.el5.ppc.rpm
./ppc/os/Server/exim-sa-4.63-3.el5.ppc.rpm
./ppc/debug/exim-debuginfo-4.63-3.el5.ppc.rpm
./x86_64/os/Server/exim-doc-4.63-2.el5.noarch.rpm
./x86_64/os/Server/exim-4.63-3.el5.x86_64.rpm
./x86_64/os/Server/exim-sa-4.63-3.el5.x86_64.rpm
./x86_64/os/Server/exim-mon-4.63-3.el5.x86_64.rpm
./x86_64/debug/exim-debuginfo-4.63-3.el5.x86_64.rpm
./ia64/os/Server/exim-doc-4.63-2.el5.noarch.rpm
./ia64/os/Server/exim-4.63-3.el5.ia64.rpm
./ia64/os/Server/exim-sa-4.63-3.el5.ia64.rpm
./ia64/os/Server/exim-mon-4.63-3.el5.ia64.rpm
./ia64/debug/exim-debuginfo-4.63-3.el5.ia64.rpm
./s390x/os/Server/exim-doc-4.63-2.el5.noarch.rpm
./s390x/os/Server/exim-4.63-3.el5.s390x.rpm
./s390x/os/Server/exim-mon-4.63-3.el5.s390x.rpm
./s390x/os/Server/exim-sa-4.63-3.el5.s390x.rpm
./s390x/debug/exim-debuginfo-4.63-3.el5.s390x.rpm
./source/SRPMS/exim-4.63-3.el5.src.rpm
./source/SRPMS/exim-doc-4.63-2.el5.src.rpm

Note You need to log in before you can comment on or make changes to this bug.